[CRIU] [PATCH 4/6] app-emu/lxc: dump/restore file locks

Andrey Vagin avagin at openvz.org
Fri Jan 18 14:51:12 EST 2013


Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
 test/app-emu/lxc/run.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/test/app-emu/lxc/run.sh b/test/app-emu/lxc/run.sh
index aff3908..c7d5923 100755
--- a/test/app-emu/lxc/run.sh
+++ b/test/app-emu/lxc/run.sh
@@ -35,6 +35,7 @@ mkdir data
 echo "Dump the CT $name ($pid)"
 ${crtools} dump --evasive-devices						\
 		--tcp-established						\
+		--file-locks							\
 		-n net -n mnt -n ipc -n pid					\
 		--action-script "`pwd`/network-script.sh dump $pid $name"	\
 		-vvvv -D data -o dump.log -t $pid || exit 1
@@ -46,12 +47,13 @@ read
 echo "Restore the CT $name ($pid)"
 ${crtools} restore 	--evasive-devices					\
 			--tcp-established					\
+			--file-locks						\
 			-n net -n mnt -n ipc -n pid				\
 			--action-script "`pwd`/network-script.sh restore $name.0" \
 			--veth-pair eth0=$name.0				\
 			--root /root/test-lxc-root				\
 			--pidfile newpid.log					\
-			-vvvv -D data -d -o restore.log -t $pid || exit 1
+			-vvvv -D data -d -o restore.log -t $pid --block || exit 1
 echo "The CT $name was restored successfully"
 
 pid=`cat data/newpid.log`;
-- 
1.7.11.7



More information about the CRIU mailing list